Download it now!
Bug 113289 - ODT: footnote separator line does not show
Summary: ODT: footnote separator line does not show
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.2.0.4 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Footnote-Endnote
  Show dependency treegraph
 
Reported: 2017-10-20 13:20 UTC by Christian Lehmann
Modified: 2019-06-07 08:28 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
an ODT documented created last year with Writer 5.0.2 (133.53 KB, application/vnd.oasis.opendocument.text)
2017-10-20 14:43 UTC, Christian Lehmann
Details
Bibisect log (2.91 KB, text/plain)
2018-04-07 17:58 UTC, Telesto
Details
sample 2 (14.22 KB, application/vnd.oasis.opendocument.text)
2018-11-14 19:48 UTC, Xisco Faulí
Details
Proposed change of default value for separator line style (486 bytes, patch)
2019-03-13 12:02 UTC, david.vogt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Lehmann 2017-10-20 13:20:24 UTC
Description:
The new version of Writer ignores the setting for the footnote separator line in older files.

Steps to Reproduce:
1. In some earlier version (my last one was 5.0), open an ODT file.
2. In the formating menu for footnotes, set the separator style to a black line.
3. Close the document.
4. Open the document with Writer 5.4.2.2.

Actual Results:  
No footnote separator line is shown.

Expected Results:
The footnote separator line should keep the style once set.


Reproducible: Always

User Profile Reset: No

Additional Info:
Once one sets the style again in Writer 5.4.2.2, it is then kept.


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Xisco Faulí 2017-10-20 13:28:02 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it. 
See https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F for help on how to do so.)
Comment 2 Christian Lehmann 2017-10-20 14:43:58 UTC
Created attachment 137150 [details]
an ODT documented created last year with Writer 5.0.2

The atteched file has the footnote separator line style set to '_____' [ solid black line] and does show this in earlier LibreOffice versions, e.g. in v. 4.2.7.2 for Windows. It shows no line in v. 5.4.2.2 for Linux.
Comment 3 Dieter Praas 2017-10-20 15:47:30 UTC
I could reproduce your bug. I did it as follows:

1. Open your document in 5.4.2.2 => there is no separator
2. Format => page => footnote => separator style [none]

3. Open your document in an earlier version (I used 4.4.7.2)=> You can see a separator
4. Format => page => footnote => separator line
5. Nothing is selected.
6. set style to black line => apply => press O.K.
7. Save the document
8. Open the document in 5.4.2.2. => There is no separator line
9. Format => page => footnote => separator line (black line is selected)

Version: 4.4.7.2
Build-ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Gebietsschema: de_DE

and 

Version: 5.4.2.2 (x64)
Build-ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU-Threads: 4; Betriebssystem:Windows 6.19; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group
Comment 4 Telesto 2018-04-07 17:48:02 UTC
Repro with
Version: 6.1.0.0.alpha0+
Build ID: d39a8e791618a40328c0f90bece3cc246dcf57f7
CPU threads: 4; OS: Windows 6.3; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-04-05_23:46:48
Locale: nl-NL (nl_NL); Calc: CL

no repro with
Version: 5.1.0.1.0+
Build ID: 5616d22b57a9a5e57d545e912e029162a230829b
Threads 4; Ver: Windows 6.29; Render: GL;
Comment 5 Telesto 2018-04-07 17:58:31 UTC
Created attachment 141195 [details]
Bibisect log

Bisected to:

author	Oliver Specht <oliver.specht@cib.de>	2015-12-11 15:36:57 +0100
committer	Oliver Specht <oliver.specht@cib.de>	2015-12-12 14:00:39 +0000
commit	8045b87609409c944e3e89e7e11c00822a214512 (patch)
tree	5f5b78db27ac0c85d928a63b706449d3ea642ef3
parent	917d59a84124d1022bd1912874e7a53c674784f1 (diff)
tdf#36722: Enable footnote separator line style NONE
adds detection of css::table::BorderLineStyle::NONE
to the LineListBox and stops painting NONE style lines

https://cgit.freedesktop.org/libreoffice/core/commit/?id=8045b87609409c944e3e89e7e11c00822a214512

Separator line isn't set in Format -> Page -> Footnote tab -> Separator line style.
Comment 6 Xisco Faulí 2018-11-14 19:48:51 UTC
Created attachment 146634 [details]
sample 2

another document I found to reproduce the issue...
Comment 7 Telesto 2018-11-14 21:32:30 UTC
Adding CC: to Oliver Specht
Comment 8 Xisco Faulí 2018-11-15 11:18:40 UTC
@Samuel, I thought you could be interested in this issue...
Comment 9 david.vogt 2019-03-06 16:51:31 UTC
A client of mine just ran into the same issue. Seems like older versions wouldn't set the style, and default to a solid line in that case. Newer versions would default to "NONE", which is then not drawn as per the referenced commit.

I think a distinction should be made between the attribute not being set, and the attribute explicitly being set to "none"
Comment 10 david.vogt 2019-03-13 12:02:14 UTC
Created attachment 149931 [details]
Proposed change of default value for separator line style

I think the attached patch would fix this. Seems the problem is there since the feature was introduced (b69f4871cafd0).

The patch would change the behaviour such that if no attribute is in the XML, the default is a solid line, but if there is infact an attribute, it's value is taken.

Any thoughts?
Comment 11 Samuel Mehrbrodt (CIB) 2019-03-13 12:05:30 UTC
(In reply to david.vogt from comment #10)
> Created attachment 149931 [details]
> Proposed change of default value for separator line style
> 
> I think the attached patch would fix this. Seems the problem is there since
> the feature was introduced (b69f4871cafd0).
> 
> The patch would change the behaviour such that if no attribute is in the
> XML, the default is a solid line, but if there is infact an attribute, it's
> value is taken.
> 
> Any thoughts?

Can you submit the patch to gerrit for discussion please? https://wiki.documentfoundation.org/Development/gerrit
Comment 12 david.vogt 2019-03-13 12:20:24 UTC
Done! It's been a while since my last contribution :)
Comment 13 Commit Notification 2019-03-14 17:13:57 UTC
David Vogt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4aa8a6ab08b755e3d82860e8dbc294f854336477%5E%21

tdf#113289: Default value for footnote separator

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Xisco Faulí 2019-04-17 15:08:13 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: 26e85974a0287ab5869e7ff0145a66b853d66a02
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@David Vogt, thanks for fixing this issue!!
Comment 15 Xisco Faulí 2019-04-17 15:16:35 UTC
Actually, the issue is fixed with attachment 146634 [details] but not with attachment  137150 [details]
Comment 16 Commit Notification 2019-04-18 10:18:17 UTC
David Vogt committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a601e0867d0ac2c80342308622bfcc3546fce746%5E%21

tdf#113289: Default value for footnote separator

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Christian Lehmann 2019-06-07 08:28:32 UTC
Reading that the fix "will be available in version 6.2.4", I tested the matter with LO 6.2.4.2 (Kubuntu 18.04, KDE Plasma version 5.12.7). It seems that the problem is not gone. I have an ODT document whose different versions bear dates from 25.06.16 to 24.05.19. If I load these into Writer 6.2.4.2, the footnote separator line is absent in the version of 13.06.17 and is shown in the version of 15.10.17. Apparently, I updated LO in between, but cannot reconstruct the LO versions of that time. I can provide the files in question in case it can help.